//=============================================================================
// FlameTFire.
//=============================================================================
class FlameTFire expands Effects;

var BioFear MyFear;



simulated function tick( float DeltaTime)


{

	//SetLocation( victim.Location);
}


simulated function PostBeginPlay()
{
	SetTimer(0.1, true);
	MyFear = Spawn(class'BioFear');
	MyFear.SetCollisionSize( 32 * DrawScale, CollisionHeight);
	MyFear.bInitiallyActive = True;
}


simulated function Timer()
{
	local SpriteSmokePuff b;
	local actor BurnBaby;


		b = Spawn(class'UnrealShare.SpriteSmokePuff');
		b.DrawScale = 1 * DrawScale;
		b.RemoteRole = ROLE_None;

	ForEach RadiusActors(Class'Actor', BurnBaby, 32 * DrawScale){
		BurnBaby.TakeDamage( 1, Instigator, Location, vect(0,0,0), 'burned');
	}

	SetTimer(0.1, false);
}

simulated function Destroyed()
{

	Owner.Destroy();
	MyFear.Destroy();
	Super.Destroyed();
}

simulated function Touch( Actor Other )
{
	Other.TakeDamage( 1, Instigator, Location, vect(0,0,0), 'burned');
}

defaultproperties
{
     RemoteRole=ROLE_SimulatedProxy
     LifeSpan=5.000000
     DrawType=DT_Sprite
     Style=STY_Translucent
     Texture=FireTexture'NaliWeaponsGFX.FlameTracker.Flame'
     DrawScale=0.500000
     bUnlit=True
     SoundVolume=255
     CollisionRadius=40.000000
     CollisionHeight=50.000000
     bCollideActors=True
     LightType=LT_Steady
     LightEffect=LE_FireWaver
     LightBrightness=128
     LightRadius=20
     LightPeriod=20
     LightPhase=40
     LightCone=50
     VolumeBrightness=100
}
