//=============================================================================
// FlameTFire.
//=============================================================================
class FlameTFire expands Effects;

var BioFear MyFear;



simulated function tick( float DeltaTime)


{

	//SetLocation( victim.Location);
}


simulated function PostBeginPlay()
{
	SetTimer(0.1, true);
	MyFear = Spawn(class'BioFear');
	MyFear.SetCollisionSize( 32 * DrawScale, CollisionHeight);
	MyFear.bInitiallyActive = True;
}


simulated function Timer()
{
	local SpriteSmokePuff b;
	local actor BurnBaby;


		b = Spawn(class'UnrealShare.SpriteSmokePuff');
		b.DrawScale = 1 * DrawScale;
		b.RemoteRole = ROLE_None;

	ForEach RadiusActors(Class'Actor', BurnBaby, 32 * DrawScale){
		BurnBaby.TakeDamage( 1, Instigator, Location, vect(0,0,0), 'burned');
	}

	SetTimer(0.1, false);
}

simulated function Destroyed()
{

	Owner.Destroy();
	MyFear.Destroy();
	Super.Destroyed();
}

simulated function Touch( Actor Other )
{
	Other.TakeDamage( 1, Instigator, Location, vect(0,0,0), 'burned');
}

defaultproperties
{
    RemoteRole=2
    LifeSpan=10.00
    Location=(X=0.00, Y=0.00, Z=-35.00)
    DrawType=1
    Style=3
    Texture=FireTexture'NaliWeaponsGFX.FlameTracker.Flame'
    DrawScale=0.50
    bUnlit=True
    SoundVolume=255
    CollisionRadius=40.00
    CollisionHeight=50.00
    bCollideActors=True
    LightType=1
    LightEffect=2
    LightBrightness=128
    LightRadius=20
    LightPeriod=20
    LightPhase=40
    LightCone=50
    VolumeBrightness=100
}
