class flickskeleton expands skelton;

var float f_lr,f_lb,lifetime;

function PostBeginPlay()
{
	f_lr=LightRadius;
	f_lb=LightBrightness;
	lifetime=0;
}

auto state fallingdown
{
	simulated function tick(float dtime)
	{
		lifetime+=dtime;
		ScaleGlow-=(dtime*0.3);
		f_lr-=(dtime*1.6);if(f_lr<=1)f_lr=1;LightRadius=f_lr;
		f_lb-=(dtime*30);if(f_lb<=20)f_lb=20;LightBrightness=f_lb;
                
	}
	simulated function timer()
	{
		if(DrawType==DT_Mesh)
		{
			DrawType=DT_None;LightType=LT_None;
			SetTimer(frand()*(lifetime+5)*0.05,false);
		}
		else
		{
			DrawType=DT_Mesh;LightType=LT_Steady;
			SetTimer(frand()*0.2,false);
		}
	}
Begin:
	SetTimer(frand()*0.25,false);
	PlayAnim('All',0.2);
        
}

defaultproperties
{
    LifeSpan=10.00
    Style=3
    Skin=Texture'Skins.Jskeleton0'
    ScaleGlow=3.00
    Fatness=144
    LightType=1
    LightEffect=13
    LightBrightness=255
    LightRadius=16
}
