class nfrball expands Actor;

#exec MESH IMPORT MESH=sphere ANIVFILE=MODELS\sphere_a.3d DATAFILE=MODELS\sphere_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=sphere X=0 Y=0 Z=0

#exec MESH SEQUENCE MESH=sphere SEQ=All     STARTFRAME=0 NUMFRAMES=15
#exec MESH SEQUENCE MESH=sphere SEQ=blowXS     STARTFRAME=1 NUMFRAMES=3		RATE=2
#exec MESH SEQUENCE MESH=sphere SEQ=blowXL     STARTFRAME=4 NUMFRAMES=4		RATE=4
#exec MESH SEQUENCE MESH=sphere SEQ=shrinkL     STARTFRAME=8 NUMFRAMES=3	RATE=3
#exec MESH SEQUENCE MESH=sphere SEQ=shrinkS     STARTFRAME=11 NUMFRAMES=3	RATE=3

#exec MESHMAP NEW   MESHMAP=sphere MESH=sphere
#exec MESHMAP SCALE MESHMAP=sphere X=0.1 Y=0.1 Z=0.2

#exec MESHMAP SETTEXTURE MESHMAP=sphere NUM=0 TEXTURE=unrealshare.effect55.fireeffect55

var() Texture SpriteAnim[8];
var int i;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	i=0;
	Texture = SpriteAnim[i];
	Skin = SpriteAnim[i];
	SetTimer(0.075,True);
}
simulated function Timer()
{
	if(i==7)i=0; else i++;
	Texture = SpriteAnim[i];
	Skin = SpriteAnim[i];
        
}
simulated function tick(float dtime)
{
	drawscale+=(dtime*5);
	fatness+=(dtime*160/1.25);
	ScaleGlow-=(dtime*2/1.25);
        
}

defaultproperties
{
    SpriteAnim(0)=Texture'Botpack.UT_Explosions.exp1_a00'
    SpriteAnim(1)=Texture'Botpack.UT_Explosions.exp1_a01'
    SpriteAnim(2)=Texture'Botpack.UT_Explosions.exp1_a02'
    SpriteAnim(3)=Texture'Botpack.UT_Explosions.exp1_a03'
    SpriteAnim(4)=Texture'Botpack.UT_Explosions.exp1_a04'
    SpriteAnim(5)=Texture'Botpack.UT_Explosions.exp1_a05'
    SpriteAnim(6)=Texture'Botpack.UT_Explosions.exp1_a06'
    SpriteAnim(7)=Texture'Botpack.UT_Explosions.exp1_a07'
    LifeSpan=1.25
    DrawType=2
    Style=3
    Texture=None
    Mesh=LodMesh'Sphere'
    DrawScale=0.25
    ScaleGlow=1.50
    Fatness=96
    bUnlit=True
    LightEffect=13
    LightBrightness=120
    LightHue=12
    LightSaturation=32
    LightRadius=8
}
