class shBomb extends Projectile;

var pawn victim;
var int vhealth;
var fbglo glower;
var float lifetime,lt_c;

function PostBeginPlay()
{
	Super.PostBeginPlay();
}

auto state Flying
{
	simulated function ProcessTouch (Actor Other, vector HitLocation)
	{
		If ((Other!=Instigator) && (shBomb(Other)==None))
		{
			if( Other.IsA('Pawn') ) vhealth = Pawn(Other).health;
			Other.TakeDamage(Damage,Instigator, HitLocation,
				MomentumTransfer*Normal(Velocity),'shot');
			if ( Other.IsA('Pawn') && (Pawn(Other).health < vhealth)	//only if I damaged victim...
						&& (Pawn(Other).health > 0))
			{
				victim=pawn(Other);
				vhealth=victim.health+damage;
				GotoState('CountDown');
			}else{
				Spawn(class'UT_WallHit',,, HitLocation, rotation);
				Spawn(class'SpriteSmokePuff',,,HitLocation, rotation);
				Destroy();
			}
		}
	}
	simulated function HitWall( vector HitNormal, actor Wall )
	{
		Super.HitWall(HitNormal, Wall);	
		Spawn(class'UT_WallHit',,,Location+HitNormal*9,rotator(HitNormal));
		Spawn(class'SpriteSmokePuff',,,Location+HitNormal*9);
		Destroy();
	}
	simulated function BeginState()
	{
		Velocity = vector(Rotation) * speed;
	}
}
state CountDown
{
	simulated function ProcessTouch (Actor Other, vector HitLocation)
	{
	}
	simulated function HitWall( vector HitNormal, actor Wall )
	{
	}
	simulated function BeginState()
	{
		lifetime=0.1;lt_c=0.15;
		SetPhysics(PHYS_None);
		DrawType=DT_None;
		glower=spawn(class'fbglo',victim,,victim.location,victim.rotation);
		glower.Mesh = victim.Mesh;
		glower.DrawScale = victim.Drawscale;
		glower.Texture = texture;
		glower.LowDetailTexture = texture;
		SetTimer(0.01,false);
	}
	simulated function tick(float dtime)
	{
		local PlayerPawn pPawn;
		local vector curFog;

		lifetime+=dtime;
		if(lifetime>=lt_c)
		{
			PlaySound(MiscSound, SLOT_Misc, 5+lifetime*2,,10000,lifetime);
			lt_c=lifetime+0.05;
		}
		if(victim.health>=vhealth)
		{
			PlaySound(SpawnSound, SLOT_Misc, 1,,,1);
			glower.destroy();
			destroy();
		}
		pPawn=PlayerPawn(victim);
		if( pPawn != None )
		{
			curFog.X=1;	curFog.Y=0;	curFog.Z=0;
			pPawn.ClientFlash( lifetime, 1000 * lifetime * curFog );
		}
	}
Begin:
}
simulated function Timer()
{
	local fbnkball expls;
	glower.destroy();
	victim.TakeDamage(victim.Health*4,Instigator, victim.location, Normal(victim.velocity),'FB3Death');
	ProcessSkeleton(victim);
	expls=spawn(class'fbnkball',Instigator,,victim.location,victim.rotation);
	expls.Explode(victim.location,Normal(victim.velocity));
	destroy();
}
function ProcessSkeleton(pawn Other)
{
	local Vector X;
	local skelton skl;
	local flickskeleton skel;
	local barboom boS;
	local float skelDS;

			X=other.location;
			X.z-=other.collisionheight;
			boS=spawn(class'barboom',,,X,rotator(vect(1,0,0)));
			skl=spawn(class'skelton',,,other.location,other.rotation);
			skelDS=Other.CollisionHeight/39;
			skl.DrawScale*=skelDS;
			skl.SetCollisionSize(skelDS*skl.CollisionRadius,skelDS*skl.CollisionHeight);
			skel=spawn(class'flickskeleton',,,other.location,other.rotation);
				skel.DrawScale*=skelDS;
				skel.SetCollisionSize(skelDS*skel.CollisionRadius,skelDS*skel.CollisionHeight);
				skel.LightHue=0;
				skel.bMeshEnviroMap=true;
				skel.bUnlit=true;
				skel.texture=texture'CFLAME';
//			if(other.bIsPlayer)
//			{ other.hideplayer(); other.gotostate('dying');}
//			other.destroy();
}
event destroyed()
{
	PlaySound(SpawnSound, SLOT_Misc, 1,,,1);
	Super.Destroyed();
}

defaultproperties
{
     speed=60000.000000
     MaxSpeed=60000.000000
     Damage=20.000000
     SpawnSound=Sound'UnrealShare.Eightball.SeekLock'
     MiscSound=Sound'UnrealShare.Eightball.SeekLock'
     RemoteRole=ROLE_SimulatedProxy
     LifeSpan=6.000000
     DrawType=DT_None
     Texture=Texture'UnrealShare.Belt_fx.ShieldBelt.newred'
}
