class fbnkball extends Projectile;

#exec TEXTURE IMPORT NAME=Nredflare FILE=TEXTURES\Nredflare.pcx GROUP=Skins LODSET=2
#exec obj load file=..\Textures\NaliWeaponsGFX.utx package=NaliWeaponsGFX

var float lifetime;
var() int expl_radius;
var bool bFade;

simulated function skeletoring()
{
	local charredflmskel skl;
	local pawn other;
	local float skelDS;
	foreach radiusactors(class'pawn',other,(expl_radius*0.9))
	if ((!other.bHidden)&&( Role == ROLE_Authority ))
	{
		skelDS=Other.CollisionHeight/39;
		if(other.health<=0)
		if(other.bIsPlayer || other.isa('Skaarj') || other.isa('Brute') || other.isa('Krall') || other.isa('Nali'))
		{
			spawn(class'nbm2',,,other.location);
			skl=spawn(class'charredflmskel',,,other.location,other.rotation);
			skl.DrawScale*=skelDS;
			skl.SetCollisionSize(skelDS*skl.CollisionRadius,skelDS*skl.CollisionHeight);
			if(other.bIsPlayer)
			{ other.hideplayer(); other.gotostate('dying');}
			else other.destroy();
		}
	}
}
auto state Flying
{
	simulated function ProcessTouch (Actor Other, vector HitLocation)
	{
		Explode(HitLocation,Normal(HitLocation-Other.Location));
	}
	simulated function Timer()
	{
		Explode(Location,Normal(Location-Instigator.Location));
	
}
	simulated function BeginState()
	{
		bFade=false;
		Velocity = vector(Rotation) * speed;
		SetTimer(0.02,true);	
	}
}


simulated function Explode(vector HitLocation,vector HitNormal)
{
	local earthquake q;
	q=spawn(class'EarthQuake');
	q.radius=100;
	q.duration=0.5;
	q.magnitude=200;
	q.trigger(instigator,instigator);
	PlaySound(ImpactSound, SLOT_Misc, 25,true,,);
	HurtRadius(Damage, expl_radius, 'jolted', MomentumTransfer, Location );
	skeletoring();
        Spawn(Class'nfrball');
        Spawn(Class'FlameTFire');
	GoToState('Fade');
}

state Fade
{
ignores Explode,ProcessTouch,HitWall;
	simulated function Timer()
	{
		HurtRadius((LightSaturation+LightBrightness)/25*Damage, expl_radius, 'jolted', MomentumTransfer, Location );
		skeletoring();
	}
	simulated function tick(float DeltaTime)
	{
		lifetime+=deltatime;
		if(lifetime<0.40) drawscale=5*lifetime;
		else drawscale=10*(1.0-lifetime);
		if(bFade)
		{
			if(LightSaturation>=150*deltatime)
				LightSaturation-=150*deltatime;
			else{
				LightSaturation=0;
			        if(LightBrightness<=150*deltatime) destroy();
				else LightBrightness-=150*deltatime;
			}	
		}
	}
	function LightStart()
	{
		LightType=LT_Steady;
		LightBrightness=50;
		LightSaturation=255;
		LightRadius=100;
		bFade=true;
	}
Begin:
	LightStart();
	SetTimer(0.2,true);
	SetPhysics(PHYS_None);
	DrawType=DT_None;
	sleep(0.3);
	ClientFlashes();
	lifetime=0.01;
	lifespan=5.5;
	sleep(0.40);
	texture=Firetexture'NaliWeaponsGFX.FlameTracker.Flame';
	DrawType=DT_Sprite;
	Style=STY_Translucent;
}				

simulated function ClientFlashes()
{
	local Vector EndFlashFog;
	local float f;
	local PlayerPawn p;
	EndFlashFog.X=4;	EndFlashFog.Y=2;	EndFlashFog.Z=1;
	ForEach VisibleActors( class'PlayerPawn', p)
	{
		f=2000-vsize(location-p.location);
		if(f>0)p.ClientFlash( 1, 200*EndFlashFog );
	}
}

defaultproperties
{
    expl_radius=10
    speed=500.00
    MaxSpeed=500.00
    Damage=10.00
    MomentumTransfer=2000
    bAlwaysRelevant=True
    bNetTemporary=False
    RemoteRole=2
    DrawType=1
    Style=3
    DrawScale=0.20
    AmbientGlow=50
    bUnlit=True
    SoundRadius=200
    SoundVolume=64
    SoundPitch=128
    CollisionRadius=25.00
    CollisionHeight=10.00
    LightType=1
    LightBrightness=50
    LightHue=16
    LightSaturation=120
    LightRadius=20
}
