//=============================================================================
// SniperBeam.
//=============================================================================
class SniperBeam extends Effects;

#exec TEXTURE IMPORT NAME=jenergy2 FILE=Textures\jenergy2.bmp GROUP="Skins"



var vector MoveAmount;
var int NumPuffs;

replication
{
     // Things the server should send to the client.
     unreliable if( Role==ROLE_Authority )
          MoveAmount, NumPuffs;
}

simulated function Tick( float DeltaTime )
{
     if ( Level.NetMode  != NM_DedicatedServer )
     {
          ScaleGlow = (Lifespan/Default.Lifespan)*1.0;
          AmbientGlow = ScaleGlow * 210;
     }
}


simulated function PostBeginPlay()
{
     if ( Level.NetMode != NM_DedicatedServer )
          SetTimer(0.0005, false);
}


simulated function Timer ()
{
     local SniperBeam R;

     if ( NumPuffs > 0 )
     {
          R=Spawn(Class'SniperBeam',,,Location + MoveAmount);

          R.NumPuffs=NumPuffs - 1;
          R.MoveAmount=MoveAmount;
     }
}

defaultproperties
{
     Physics=PHYS_Rotating
     RemoteRole=ROLE_SimulatedProxy
     LifeSpan=1.700000
     Rotation=(Roll=20000)
     DrawType=DT_Mesh
     Style=STY_Translucent
     Texture=Texture'FleshRiflev3b.Skins.jenergy2'
     Mesh=LodMesh'Botpack.Shockbm'
     DrawScale=0.100000
     bUnlit=True
     bParticles=True
     bFixedRotationDir=True
     RotationRate=(Roll=100)
     DesiredRotation=(Roll=20000)
}
